---------------------------------------------------------------------------------------------------
Version: 0.12.1
Date: 19.12.2021
  Changes:
    - Allowed higher tier techs to show in tech tree search results
    - Added HQ graphics to the following machines, and tweaked their sounds:
      - Clarifier, Crystallizer, Hydro plant, Salination plant
      - Ore crusher, Floatation cell, Ore refinery, Ore sorting facility
    - Reworked the control behaviour to multiple smaller files to keep it organized.
    - Added fluid and recipe tints for all of angels core mods, including some functions to support the change
    - Small library clean-up
  Bugfixes:
    - Fixed incorrect behaviour of some library functions
    - Fixed broken localisations on sludge processing in special vanilla (676)
    - Fixed hand crafting recipes not usable with alternative character mods (710)
    - Hide Electro whinning cells and Milling drums when they are unused (691)
    - Fixed crash when generating a new world without any autoplace settings (713)
    - Fixed crash when playing with bobs vehicle equipment without bob technology mod
    - Fixed heat was unusable at green science as heat exchanger required blue science (669)
---------------------------------------------------------------------------------------------------
Version: 0.12.0
Date: 10.08.2021
  Changes:
    - Rebalanced the ores and corresponding mixed sorting recipes (THIS WILL BREAK EXISTING BASES)
    - Hybrid catalyst now requires crystalizer mk2
    - Activated lithium salination if playing component mode without bobs
    - Recipe tweaks to several of bobs entities to reduce cobalt usage (you will understand)
    - Added several tips and tricks for new players to understand some core mechanics/ideas
  Bugfixes:
    - Fixed multiple missing prerequisites on higher tiers of ore sorting facility technologies
    - Properly hid some more items
    - Fixed a bug in the migration script when train stations have an empty stop filter
---------------------------------------------------------------------------------------------------
Version: 0.11.21
Date: 31.05.2021
  Bugfixes:
    - When hiding a fluid, the corresponding voiding recipe will also be hidden correctly
---------------------------------------------------------------------------------------------------
Version: 0.11.20
Date: 26.05.2021
  Changes:
    - Tweaked some technology tree prerequisites as cleanup (428)
    - Hidden the crystallizers fluid box when no fluid is required (475)
    - Sorted bobs fluid tanks into the fluid handling tab (486)
    - Locked bobs gem refining behind technology rather than unlocking from the start (455)
    - Renamed gode crystallization 2 to geode processing 3
    - Make voiding recipes hidden_from_player_crafting instead of plain hidden (492)
    - Tweaked the lib to hide all objects (entities, items, fluids, tools etc) when a flag is set
      - NOT just the first thing found.
      - Also updated the remove flag script to do the same thing
    - Tweaked the lib to show icons next to the autoplace controls (542)
    - Sorting Facility 4 no longer has an ingredient limit (defaults to 255) (514)
    - Sorting Facilities are now tiered, advanced recipes require a higher tier for processing
    - Added HQ tier numbering icons
    - Burner crusher is now not counted as tier 1 (but as tier 0, currently without icon) (513)
    - Hides the unused settings now properly for consistency (538)
    - Allowed the hydro-plant to be unlocked slightly earlier (550)
    - Changed and expanded locale strings and text descriptions (489)
    - Altered the auto-barreling setting to contain options to set the recipe hidden_from_player_crafting (566)
       - having them hidden can reduce the size of the scroll bar on the crafting menu (in particular, with petrochem)
    - Added distinction between crafting machine tiers for ore sorting (115)
    - Ceramic filter recipes can only be crafted in filtration unit 2 (115)
  Bugfixes:
    - Fixed geode crystalisation 1 did exist without any unlocks
    - Fixed incorrect localisation on hidding voiding recipes
    - Removed obsolete inventory slots in the clarifier
    - Fixed that recipes were not being hidden correctly and showing in lookup mods (491)
    - Improved the limited flow capacity in the Thermal bore/extractor (509)
    - Fixed an issue with Yuoki's icons not being updated (with the old ones already removed)
    - Fixed that the method for removing autoplace controls was not universally used (373)
    - Fixed deadlock for bobclasses "fighter" and component mode (394, 559)
    - Fixed in some old saves washing tech was still disabled (for real this time) (368)
    - Fixed the lib recipe builder fallback to use aluminium, titanium and tungsten plates more frequently
---------------------------------------------------------------------------------------------------
Version: 0.11.19
Date: 26.11.2020
  Changes:
    - Updated to Factorio 1.1
---------------------------------------------------------------------------------------------------
Version: 0.11.18
Date: 16.11.2020
  Changes:
    - Fixed some missing prerequisites
  Bugfixes:
    - Fixed crash when loading outside of freeplay with bob character classes present (437)
---------------------------------------------------------------------------------------------------
Version: 0.11.17
Date: 29.10.2020
  Changes:
    - Added message at the start of the game to notify the player about the changes to the map
      generation settings (388)
    - Added setting to enable HQ graphics, this is a work in progress by Kirazy
    - Consistent naming of the advanced refining recipes (378)
  Bugfixes:
    - Fixed technology "Geode processing 2" could not be researched when playing without the angels
      metallurgy smelting mod
    - Small tweak to component mode recipe of Floatation cell 1
    - Fixed localisation of ore refining descriptions (376)
    - Fixed crash with angels migration script library (383)
    - Fixed not being able to manually crush and processing trees with bob classes (366)
    - Fixed some bobclasses are not startable in some configurations (394)
    - Fixed bobs gem procesing were unlocked before gem crystallization (415)
    - Fixed Geode processing 1 did not prerequisite on Hydro refining.
    - Fixed Advanced ore refining technology was missing a prerequisite on Slag processing 1
    - Fixed Advanced ore refining 2 technology was missing a prerequisite on Geode processing 2
---------------------------------------------------------------------------------------------------
Version: 0.11.16
Date: 20.08.2020
  Changes:
    - Updated to base game 1.0
    - Consistent naming of ferrous and cupric refining items (348)
    - Consistent naming of all refining recipes (348)
    - Saphirite and stiratite manual crushing can only be done by hand
    - Biter balance (354):
      - Biter received an additional map gen setting to choose the size of biters between none and
        the 'normal' amount. The 'normal' amount is still defined (and controllable) with the
        settings that are available in the base game.
      - Removed the old setting solution as this is now replaced with a more tweakable and usable
        solution
  Bugfixes:
    - Added missing prerequisite on electro whinning cell
    - Fixed that new games in base game v1.0.0 did not receive an ore crusher at the start
---------------------------------------------------------------------------------------------------
Version: 0.11.15
Date: 17.07.2020
  Changes:
    - Made localisation conform with base game (342)
  Bugfixes:
    - Fixed cupric sorting was disabled when platinium was not required
---------------------------------------------------------------------------------------------------
Version: 0.11.14
Date: 10.07.2020
  Changes:
    - Halved water-yellow-waste (sulfuric waster water) for cupric filtering (296)
    - Make sure some defaults are set in case of invalid prototypes (292, 293)
    - Changed the recipe icon of thermal to lithia water refining (bobs only)
    - Added refining for uranium in special vanilla mode (276)
    - Removed crystal seedling from special vanilla mode (276)
    - Added support for the new bob salt recipes (313)
    - Added a ground water bore
    - Biter balance: (291)
      - Biters are by default disabled when playing without angels exploration. There is a setting
        in case you want to re-enable biters anyway. For optimizations, pollution cloud and biter
        evolution is turned off in this case.
      - Increased starting area size
  Bugfixes:
    - Fixed marathon mode text (289)
    - Replacing main_product didn't work well (286)
    - Fixed wrong default_value on bobs crafting machine ingredient limit (278)
    - Fixed refining showed a lot of useless refined ores in special vanilla (295)
    - Fixed the ordering of barreling recipes was mixed up
    - Fixed bobs version of pure water barreling recipe was still available
    - Fixed bobs water miners were hidden, but the items were still showing
    - Fixed ceramic filter used alumina in special vanilla
    - Fixed some missing technology prerequisites (316)
    - Fixed in some old saves washing tech was still disabled (316)
    - Fixed colors of ferrous and cupric sorting fluids
    - Fixed typo in Trypophobia Friendly Stiratite Graphics setting localisation
  Modding:
    - Moved is_special_vanilla(ore_triggers) to angelsmods.functions.is_special_vanilla() (276)
    - Moved ore_exist(ore_name) to angelsmods.functions.ore_exists(ore_name) (276)
    - Moved ore_exists(ore_name) to angelsmods.functions.ore_enabled(ore_name) (276)
    - Added support for fluids to angelsmods.functions.add_flag(entity, flag)
---------------------------------------------------------------------------------------------------
Version: 0.11.13
Date: 05.06.2020
  Bugfixes:
    - Fixed a major issue with the migration script
---------------------------------------------------------------------------------------------------
Version: 0.11.12
Date: 01.06.2020
  Bugfixes:
    - Fixed crash when loading refining with bob mods without angelssmelting (265)
---------------------------------------------------------------------------------------------------
Version: 0.11.11
Date: 29.05.2020
  Changes:
    - Properly use name, amount in result and ingredient prototypes
    - Reordered the geode liquifying recipes to be the same order as the geode processing recipes (206)
    - Added better icons for void recipes to distinguish difference between them
  Balancing:
    - Making thermal water extraction available at green science
      - Added a (slower) mk1 thermal water bore to extract thermal water at a slow rate
      - Split thermal water processing into a separate blue tech (so that part remains blue)
      - Made the termal water extractor an upgrade of the thermal water bore
    - Improve refining in special vanilla mode (242)
      - Improve ratio of copper versus iron yield to reflect the 50/50 use of base game
      - Improve yield so more advanced recipes produce more ore (up to 100% extra yield)
      - Improve graphics on sorting recipes and smelting recipes of intermediates
    - Crystal mix sorting to thorium is 3x as productive (227)
  Bugfixes:
    - Added missing dependencies
      - Added blue science packs to powder refining (due to the requirement of lubricant)
      - Moved crystal slurry ceramic filtering to geode crystallization (blue tech, due to ceramic filters)
    - Fixed error related to the new base game v0.18.27 (247)
    - Cupric dust now takes 4 seconds instead of 1 (#234)
    - Added some extra dependencies on water treatment technologies
  Modding:
    - fixed potential error in angelsmods.functions.modify_barreling_icon()
    - angelsmods.functions.add_icon_layer(...) now supports an optional shift and scale
    - added function angelsmods.functions.modify_icon_layers(...)
---------------------------------------------------------------------------------------------------
Version: 0.11.10
Date: 20.04.2020
  Bugfixes:
    - With bobs revamp solves startup crash (limestone)
    - Disable ferrous and cupric in special vanilla mode unlocks
    - When tech is disabled, but later re-enabled disabling of recipe/unlocks had no effect
---------------------------------------------------------------------------------------------------
Version: 0.11.9
Date: 12.04.2020
  Bugfixes:
    - Fixed that crushed bobmonium and rubyte smelting recipes were showing when those ores were not present
    - Added localisation for salt, which was hiding in petrochem (a temp fix)
    - Override function remove_prereq was incorrectly removing items when there were multiple
---------------------------------------------------------------------------------------------------
Version: 0.11.8
Date: 02.04.2020
  Changes:
    - Changed mining time of Burner Ore Crusher so it's easier to pick up in early game
    - Added setting to change stack size of (all) pavement items between 200 to 1000 (default 200)
    - Changed stack size of Stone Brick to use the pavement item stack size (was 100, now 200 by default)
    - Changed stack size of (all) Concrete to use the pavement item stack size (was 100, now 200 by default)
    - Changed stack size of Landfill to use the pavement item stack size (was 100, now 200 by default)
  Bugfixes:
    - Fixed missing Tin related to attempted bugfix in 0.11.4 when playing without angelssmelting
  Modding:
    - angelsmods.functions.make_void(...) now supports an optional quantity as input argument
    - added equivalent function to create viscous liquid recipe icons
    - added equivalent function to create solid recipe icons
---------------------------------------------------------------------------------------------------
Version: 0.11.7
Date: 24.03.2020
  Changes:
    - Make buildings upgradeable #119
  Bugfixes:
    - Fixed bobmonium setting to spawn in starting area by default
---------------------------------------------------------------------------------------------------
Version: 0.11.6
Date: 21.03.2020
  Bugfixes:
    - Fixed crash when barrreling recipe did not exist
---------------------------------------------------------------------------------------------------
Version: 0.11.5
Date: 20.03.2020
  Changes:
    - Added new graphics for fluid icons
    - Powdered refining depends on lubricant tech now
    - Moved seafloor pump more landinwards to be in line with 18.10 #78
    - Added Salt to Chloric Waste Water when petrochem is enabled
    - Added Sodium Nitrate to Nitric Waste Water when petrochem is enabled
  Modding:
    - Added angels fluid icon base icons
    - Added angels overlay numbers 6 and 7
  Balancing:
    - With the components mostly done, cupric sorting recipes received minimal changes:
      - Tier 2 now gives tin instead of silicon
      - Tier 3 now gives silicon instead of silver
  Bugfixes:
    - When a resource is removed, the preset should be removed as well (otherwise it would/could crash)
    - Fixed that mixed uranium sorting (from crystals) did not allow productivity modules
---------------------------------------------------------------------------------------------------
Version: 0.11.4
Date: 22.02.2020
  Bugfixes:
    - Fixed crashes related to playing without angelssmelting
---------------------------------------------------------------------------------------------------
Version: 0.11.3
Date: 22.02.2020
  Changes:
    - Updated the loading of presets
    - Updated emission data, so it now shows in the ingame tooltips (and activates)
    - Auto preset generation on adding ore
    - Changes the refinery ore product generation to be more flexible and dynamic
      - This puts almost all sorting recipes back to the way they where in 0.17
      - The reason is that in the 0.11.0 release a lot of recipes did have unintended changes
      - DO NOT UPDATE IF YOU DO NOT WANT TO REBUILDING parts of your existing base (again..)!
    - Added settings to allow all ores in the starting area
  Bugfixes:
    - Fixed Electro Whinning Cell MK1 and MK2 had same crafting speed (changed MK1 1 --> 0.75)
---------------------------------------------------------------------------------------------------
Version: 0.11.2
Date: 12.02.2020
  Changes:
    - Changed ore generation so richness is using default settings (instead of a .1 multiplier) GH#23
---------------------------------------------------------------------------------------------------
Version: 0.11.1
Date: 09.02.2020
  Bugfixes:
    - Fixed error when not having petrochem (fluorite error)
---------------------------------------------------------------------------------------------------
Version: 0.11.0
Date: 09.02.2020
  Changes:
    - Updated to 0.18
    - Added a tryptophobia setting to get alternative graphics for stiratite ore
    - If bobs mods are activated, integrate gas bottles and canisters to auto-barreling (moved from PCPRedux and improved)
    - If bobs mods are activated, refining give options to obtain thorium ore (also stopped thorium-ore from spawning natively)
    - Ferrous and Cupric crystals are made in crystalizer
    - Balance changes with relation to pure sorting recipes
      - Nickel is now a T3 ore, requiring Crystals (Former silver recipe)
      - Manganese ore now has a raw recipe, requiring Chunks (Former nickel recipe)
      - Silver is now a T2 ore, requiring Chunks
      - Various other raw recipes added (Thorium/Platinum/Chrome) if needed
      - SORRY IF THIS REQUIRES REBUILDING parts of your existing base
  Bugfixes:
    - Fixed uranium ore icon did not fit the recipe box
    - Fixed that item grouping didn't match recipe groupings
  Modding:
    - Added barreling override functions
---------------------------------------------------------------------------------------------------
Version: 0.10.14
Date: 04.08.2019
  Bugfixes:
    - fixed ore generation yet again
---------------------------------------------------------------------------------------------------
Version: 0.10.13
Date: 11.06.2019
  Changes:
    - added new ore icons and gfx
  Bugfixes:
    - fixed an error with the resource generator functions
---------------------------------------------------------------------------------------------------
Version: 0.10.12
Date: 02.02.2019
  Changes:
    - changes to several functions
  Bugfixes:
    - fixed barreling modification function
---------------------------------------------------------------------------------------------------
Version: 0.10.11
Date: 31.05.2019
  Bugfixes:
    - fix to mining acid and infinites
---------------------------------------------------------------------------------------------------
Version: 0.10.10
Date: 31.05.2019
  Changes:
    - adjustments to resource generator in cooperation with bobbbingabout
  Bugfixes:
    - fixed wrong values for ferrous/cupric powder sorting recipes
---------------------------------------------------------------------------------------------------
Version: 0.10.9
Date: 26.04.2019
  Changes:
    - additional resource GFX
    - addition to barreling disabling function
    - switched catalyst recipes to crystallizer
    - adjusted ferrous and cupric chains
---------------------------------------------------------------------------------------------------
Version: 0.10.8
Date: 27.03.2019
  Bugfixes:
    - resource generator: added another get method for icons
    - fixed override for petrochem acids
---------------------------------------------------------------------------------------------------
Version: 0.10.7
Date: 26.03.2019
  Bugfixes:
    - fixed some default value set wrong for the resource generator
---------------------------------------------------------------------------------------------------
Version: 0.10.6
Date: 25.03.2019
  Bugfixes:
    - fixed a bug in the resource system
---------------------------------------------------------------------------------------------------
Version: 0.10.5
Date: 24.03.2019
  Changes:
    - another round of additions and tweaks to the resource system
---------------------------------------------------------------------------------------------------
Version: 0.10.4
Date: 16.03.2019
  Changes:
    - rewrite of the resource system
---------------------------------------------------------------------------------------------------
Version: 0.10.3
Date: N/A
  Changes:
    - added a function and corrected an override
  Bugfixes:
    - fixed a bug in a function
---------------------------------------------------------------------------------------------------
Version: 0.10.2
Date: N/A
  Bugfixes:
    - fixed a bug with barreling recipes
---------------------------------------------------------------------------------------------------
Version: 0.10.1
Date: N/A
  Bugfixes:
    - fixed a bug with bobmods mode
---------------------------------------------------------------------------------------------------
Version: 0.10.0
Date: N/A
  Changes:
    - update to 0.17
---------------------------------------------------------------------------------------------------
Version: 0.9.15
Date: N/A
  Bugfixes:
    - added additional checks for special bob options
    - added missing productivity for a recipe
---------------------------------------------------------------------------------------------------
Version: 0.9.14
Date: N/A
  Changes:
    - added internal code for ober-overhaul-mod
  Bugfixes:
    - changed stack override function to only work if stacksize is less then the desired size
---------------------------------------------------------------------------------------------------
Version: 0.9.13
Date: N/A
  Changes:
    - increased sea-floor-pump collision_box
    - added option to show voiding recipes in the crafting menu
    - added additional functions
  Bugfixes:
    - fixed geode-washing recipe not producing the amounts it should've been
---------------------------------------------------------------------------------------------------
Version: 0.9.12
Date: N/A
  Changes:
    - added descriptions and localizations
---------------------------------------------------------------------------------------------------
Version: 0.9.11
Date: N/A
  Changes:
    - increased waste water output from filtering (coal 30 -> 40, ceramic 10 -> 20)
    - decreased iron output for sorting jivolite chunks in vanilla mode
  Bugfixes:
    - fixed geode-washing recipe not producing the amounts it should've been
    - fixed missing override for map-gen-presets
---------------------------------------------------------------------------------------------------
Version: 0.9.10
Date: N/A
  Changes:
    - buffed washing recipe chain
    - added description for Seafloor Pump
  Bugfixes:
    - fixed Seafloor Pump being placeable everywhere
---------------------------------------------------------------------------------------------------
Version: 0.9.9
Date: N/A
  Changes:
    - added ingame changelog re-fromating the old changelog (thanks to vas for the hint and Warrie for reformatting them)
    - adjusted geodes to be in the same order in the item as well as in the crafting menu
  Bugfixes:
    - fixed missing output for leaching plant
---------------------------------------------------------------------------------------------------
Version: 0.9.8
Date: N/A
  Changes:
    - shifted water-treatment techs
---------------------------------------------------------------------------------------------------
Version: 0.9.7
Date: N/A
  Changes:
    - added localization strings
---------------------------------------------------------------------------------------------------
Version: 0.9.6
Date: N/A
  Bugfixes:
    - fixed functions
---------------------------------------------------------------------------------------------------
Version: 0.9.5
Date: N/A
  Bugfixes:
    - building recipe fixes
  Changes:
    - switched ferrous and cupric raw ores
---------------------------------------------------------------------------------------------------
Version: 0.9.4
Date: N/A
  Bugfixes:
    - building recipe fixes
---------------------------------------------------------------------------------------------------
Version: 0.9.3
Date: N/A
  Bugfixes:
    - building recipe fixes
---------------------------------------------------------------------------------------------------
Version: 0.9.2
Date: N/A
  Bugfixes:
    - building recipe fixes
---------------------------------------------------------------------------------------------------
Version: 0.9.1
Date: N/A
  Bugfixes:
    - building recipe fixes
---------------------------------------------------------------------------------------------------
Version: 0.9.0
Date: N/A
  Changes:
    - update to 0.16
    - added cupric and ferrous production lines
    - added electrowhinning cell
    - added ore pulverizer
    - added hybrid catalyst
    - changed focused production recipes to always require a catalyst
    - changed geodes processing lines to produce crystal dust
---------------------------------------------------------------------------------------------------
Version: 0.8.2
Date: N/A
  Bugfixes:
    - fixed expensive mixed sorting recipe requiring only 4 chunks as base
  Changes:
    - added crystal dust to geode processing
    - added crystal dust to slurry recipe
    - removed nodules and it's processing chains
    - replaced nodules with geodes from washing
    - buffed washing chain by 50%
    - added iron focused refining chain
    - added copper focused refining chain
    - added catalyst to all focused ore sorting recipes
---------------------------------------------------------------------------------------------------
Version: 0.8.1
Date: N/A
  Changes:
    - moved basic ore generation inside the mod
    - added optional dependency to bobsrevamp to fix a loading issue
    - removed nodules and it's processing chains
---------------------------------------------------------------------------------------------------
Version: 0.7.26
Date: N/A
  Bugfixes:
    - fixed an error with curshed smelting recipes
---------------------------------------------------------------------------------------------------
Version: 0.7.25
Date: N/A
  Changes:
    - re-enabled barreling for lithia water
    - changed expensive plates to 5:1
    - script update
---------------------------------------------------------------------------------------------------
Version: 0.7.24
Date: N/A
  Bugfixes:
    - fixed wrong values for sorting recipes for bob
---------------------------------------------------------------------------------------------------
Version: 0.7.23
Date: N/A
  Bugfixes:
    - fixed crafting time for updated recipes
  Changes:
    - removed bobs pure water recipes
---------------------------------------------------------------------------------------------------
Version: 0.7.22
Date: N/A
  Changes:
    - added override for bobs pure water
---------------------------------------------------------------------------------------------------
Version: 0.7.21
Date: N/A
  Bugfixes:
    - fixed Yuokis and UP overrides again
  Changes:
    - small script update
---------------------------------------------------------------------------------------------------
Version: 0.7.20
Date: N/A
  Bugfixes:
    - fixed broken override for Yuokis and UP
    - fixed smelting recipes from crushed
---------------------------------------------------------------------------------------------------
Version: 0.7.19
Date: N/A
  Bugfixes:
    - fixed broken vanilla mode
  Changes:
    - tweaked some recipes for buildings
    - added expensive recipes for all buildings
    - added expensive recipes for sorting, crystallizing, crushed to stone, crushed to plates
    - added mod settings to adjust expensive settings
---------------------------------------------------------------------------------------------------
Version: 0.7.18
Date: N/A
  Bugfixes:
    - fixed a bug in the overrides that caused additional waste waters not to be added
---------------------------------------------------------------------------------------------------
Version: 0.7.17
Date: N/A
  Changes:
    - script update
---------------------------------------------------------------------------------------------------
Version: 0.7.16
Date: N/A
  Bugfixes:
    - fixed typo
---------------------------------------------------------------------------------------------------
Version: 0.7.15
Date: N/A
  Bugfixes:
    - fixed that washing was not disabled if smelting was not present
  Changes:
    - added checks for the dynamic localization function
---------------------------------------------------------------------------------------------------
Version: 0.7.14
Date: N/A
  Changes:
    - added localization back in for resource patches and ores
    - doubled acid consumption by leaching plants (5 -> 10)
    - increased acid consupmtion for dissolution recipes (10 -> 15)
    - increased amount of fluid processed by ceramic filtering (25 -> 35)
    - decreased waster water from ceramic filtering (25 -> 10)
    - increased waster water from coal filtering (25 -> 30)
    - increased yield for final washing recipes (nodules, limestone, clay, sand)
---------------------------------------------------------------------------------------------------
Version: 0.7.13
Date: N/A
  Changes:
    - adjusted washing recipes for final products
    - decreased seafloorpump speed
    - added more dynamic recipe override for buildings (should fix dependencies on bobelectronics and boblogistics)
---------------------------------------------------------------------------------------------------
Version: 0.7.12
Date: N/A
  Changes:
    - added missing check if you disabled infinite ores
---------------------------------------------------------------------------------------------------
Version: 0.7.11
Date: N/A
  Bugfixes:
    - fixed a typo that caused issues for some people
---------------------------------------------------------------------------------------------------
Version: 0.7.10
Date: N/A
  Changes:
    - redesigned the water washing process (needs rebuilding)
    - added clay and sand if smelting is enabled
    - increased fluorite from crystallization
---------------------------------------------------------------------------------------------------
Version: 0.7.9
Date: N/A
  Bugfixes:
    - fixed additional fluid values
  Changes:
    - added uranium to the refining tables
---------------------------------------------------------------------------------------------------
Version: 0.7.8
Date: N/A
  Bugfixes:
    - migration fix for non petrochem
---------------------------------------------------------------------------------------------------
Version: 0.7.7
Date: N/A
  Changes:
    - added additional item migration.
    - added function to add fluid icon to the barrel items
    - added function to disable barreling recipes
    - disabled double barreling recipes for overridden bobs and vanilla chemicals
---------------------------------------------------------------------------------------------------
Version: 0.7.6
Date: N/A
  Bugfixes:
    - added a fix for migration
    - added a fix for mod options
    - fixed errors that happened because of the heavy pump move
    - fixed that the acid override had old 0.14 fluid values
  Changes:
    - changed name of the heavy pump to barreling pump
    - moved vanilla barreling recipes to angels-fluid-control tab
    - moved storage tank to fluid-control-tab
---------------------------------------------------------------------------------------------------
Version: 0.7.5
Date: N/A
  Changes:
    - added heavy pump
    - added options to use either vanilla barreling or heavy pump barreling
    - added options to use auto barreling (heavy pump selects barreling recipe by itself)
---------------------------------------------------------------------------------------------------
Version: 0.7.4
Date: N/A
  Bugfixes:
    - added fixed override functions
---------------------------------------------------------------------------------------------------
Version: 0.7.3
Date: N/A
  Changes:
    - added mod option to use angels or vanilla barelling
---------------------------------------------------------------------------------------------------
Version: 0.7.2
Date: N/A
  Bugfixes:
    - added temporary fix for override functions
---------------------------------------------------------------------------------------------------
Version: 0.7.1
Date: N/A
  Bugfixes:
    - fixed thermal extractor not working
  Changes:
    - removed water-treatment-3 technology for vanilla
---------------------------------------------------------------------------------------------------
Version: 0.7.0
Date: N/A
  Changes:
    - update for 0.15
---------------------------------------------------------------------------------------------------
Version: 0.6.13
Date: N/A
  Changes:
    - added Fatmice Uranium Power tweaks https://forums.factorio.com/viewtopic.php?p=229924#p229924
    - added water treatment 3, changed prior techs to lower requirements, moved salt recipes to wt3
    - added washing plant 2
---------------------------------------------------------------------------------------------------
Version: 0.6.12
Date: N/A
  Changes:
    - updated icons to match new plates in smelting
    - increased output of manganese and chrome
    - disabled sand recipe (no use as of yet)
    - enabled productivity for all recipes in ore-sorting-facilities and crystallizers
---------------------------------------------------------------------------------------------------
Version: 0.6.11
Date: N/A
  Bugfixes:
    - fix for empty barrel recipe
---------------------------------------------------------------------------------------------------
Version: 0.6.10
Date: N/A
  Changes:
    - added barreling for nodule fluids
---------------------------------------------------------------------------------------------------
Version: 0.6.9
Date: N/A
  Bugfixes:
    - fixed recipes for washing plant and seafloor pump
---------------------------------------------------------------------------------------------------
Version: 0.6.8
Date: N/A
  Changes:
    - added support smelting 2.0
    - added washer processing chain
---------------------------------------------------------------------------------------------------
Version: 0.6.7
Date: N/A
  Bugfixes:
    - fixed missing void recipes for saline and mineralized water if only refining is used
---------------------------------------------------------------------------------------------------
Version: 0.6.6
Date: N/A
  Bugfixes:
    - fixed crystallizer mk2 energy consumption
  Changes:
    - decreased crafting time for all salination plant recipes
    - added new vanilla mode
    - changed order of the geode processing recipe, to match their occurrence in floatation
---------------------------------------------------------------------------------------------------
Version: 0.6.5
Date: N/A
  Changes:
    - increased geode yield a bit again
    - added additional migration for older versions
---------------------------------------------------------------------------------------------------
Version: 0.6.4
Date: N/A
  Changes:
    - updated functions
---------------------------------------------------------------------------------------------------
Version: 0.6.3
Date: N/A
  Bugfixes:
    - fixed Crystal Catalyst not being craftable
---------------------------------------------------------------------------------------------------
Version: 0.6.2
Date: N/A
  Bugfixes:
    - migration fix
---------------------------------------------------------------------------------------------------
Version: 0.6.1
Date: N/A
  Bugfixes:
    - migration fix
  Changes:
    - void items are now hidden
---------------------------------------------------------------------------------------------------
Version: 0.6.0
Date: N/A
  Bugfixes:
    - fixed some grouping errors
  Changes:
    - internal restructure
    - reduced amount of geodes from floatation
    - readded other color geodes to floatation recipes
    - removed parts of the geode/gem processing line
    - added crystallization of gems
    - added gem-crystallization technology
    - added crystal catalysator
    - reduced waste water output on all recipes
    - added barrel recipes for lithia-water
    - removed vanilla version
    - removed furnace type entities experiment
---------------------------------------------------------------------------------------------------
Version: 0.5.6
Date: N/A
  Bugfixes:
    - fixed values for salination recipes
  Changes:
    - added grouping for barrel items
---------------------------------------------------------------------------------------------------
Version: 0.5.5
Date: N/A
  Bugfixes:
    - small fixes
  Changes:
    - improved salination plant recipes
    - removed legacy thermal-water-barrels
---------------------------------------------------------------------------------------------------
Version: 0.5.4
Date: N/A
  Bugfixes:
    - fixed clarifier not working
---------------------------------------------------------------------------------------------------
Version: 0.5.3
Date: N/A
  Bugfixes:
    - another migration fix
---------------------------------------------------------------------------------------------------
Version: 0.5.2
Date: N/A
  Bugfixes:
    - migration fix for vanilla
---------------------------------------------------------------------------------------------------
Version: 0.5.1
Date: N/A
  Bugfixes:
    - migration fix
---------------------------------------------------------------------------------------------------
Version: 0.5.0
Date: N/A
  Bugfixes:
    - several small fixes
  Changes:
    - added barreling for fluids
    - added new tabs for barreling and water-treatment
    - added barreling technology
    - added salination-plant
    - added recipes to produce saline-water and salt
    - increased clarifier input
---------------------------------------------------------------------------------------------------
Version: 0.4.5
Date: N/A
  Bugfixes:
    - another fix for furnace types (source_inventory_size)
---------------------------------------------------------------------------------------------------
Version: 0.4.4
Date: N/A
  Bugfixes:
    - fix for furnace types
---------------------------------------------------------------------------------------------------
Version: 0.4.3
Date: N/A
  Changes:
    - changed rubyte coloring
    - added trigger to enable furnace types for refining machines
---------------------------------------------------------------------------------------------------
Version: 0.4.2
Date: N/A
  Bugfixes:
    - small fixes
---------------------------------------------------------------------------------------------------
Version: 0.4.1
Date: N/A
  Changes:
    - added missing migration
    - changed mineralized water recipe to use water instead of purified water
    - changed rubyte coloring
---------------------------------------------------------------------------------------------------
Version: 0.4.0
Date: N/A
  Changes:
    - added additional water-treatment options to go along the tie ins with petrochem
    - converted parts of the overrides to script to make it more robust
    - redone the icons for waste water
    - adjusted module slots for main refining buildings
    - added module slots to the thermal extractor
    - added trigger support to enable productivity on sorters, crystallizer and dissolution recipes
---------------------------------------------------------------------------------------------------
Version: 0.3.10
Date: N/A
  Bugfixes:
    - fixed a load error for the vanilla variant caused by the renaming of yellow waste water
---------------------------------------------------------------------------------------------------
Version: 0.3.9
Date: N/A
  Bugfixes:
    - fixed/added migration
---------------------------------------------------------------------------------------------------
Version: 0.3.8
Date: N/A
  Bugfixes:
    - fixed an error with the waste water name change and yuokis
---------------------------------------------------------------------------------------------------
Version: 0.3.7
Date: N/A
  Bugfixes:
    - fixed a typo
  Changes:
    - renamed floatation waste water to yellow waste water, to reflect that it isn't exclusively give by the floatation process
---------------------------------------------------------------------------------------------------
Version: 0.3.6
Date: N/A
  Bugfixes:
    - fixed order of buildings in crafting menu
  Changes:
    - decreased sodium hydroxide output of saline water electrolysis recipe
---------------------------------------------------------------------------------------------------
Version: 0.3.5
Date: N/A
  Bugfixes:
    - fixed crystallization recipes for additional mods to require 5 minderal sludge
---------------------------------------------------------------------------------------------------
Version: 0.3.4
Date: N/A
  Bugfixes:
    - fixed the base game recipes for MK3 leaching plant and floatation cell
  Changes:
    - changed recipes for the liquifier to be more available early game
---------------------------------------------------------------------------------------------------
Version: 0.3.3
Date: N/A
  Changes:
    - replaced icon for jivolite ore
---------------------------------------------------------------------------------------------------
Version: 0.3.2
Date: N/A
  Bugfixes:
    - fixed an error
---------------------------------------------------------------------------------------------------
Version: 0.3.1
Date: N/A
  Changes:
    - replaced water in bob chemical recipes with purified water
    - added some localization strings
---------------------------------------------------------------------------------------------------
Version: 0.3.0
Date: N/A
  Changes:
    - Updated to game version > 0.14
---------------------------------------------------------------------------------------------------
Version: 0.2.12
Date: N/A
  Bugfixes:
    - Fixed missing fast_replaceable_group for burner-ore-crusher
---------------------------------------------------------------------------------------------------
Version: 0.2.11
Date: N/A
  Bugfixes:
    - Fixed a logic error
---------------------------------------------------------------------------------------------------
Version: 0.2.10
Date: N/A
  Bugfixes:
    - Fixed some recipe values
  Changes:
    - Changed ceramic filters, they need to be cleaned after use now
    - Re-rendered the Hydro-Plant to fix a bug with MacOS and improve animation
---------------------------------------------------------------------------------------------------
Version: 0.2.9
Date: N/A
  Bugfixes:
    - Fixed error with vanilla
---------------------------------------------------------------------------------------------------
Version: 0.2.8
Date: N/A
  Bugfixes:
    - Fixed error with vanilla
---------------------------------------------------------------------------------------------------
Version: 0.2.7
Date: N/A
  Bugfixes:
    - Fixed migration (hopefully)
  Changes:
    - Added recipe to turn crystal slurry into mineral sludge
    - Added Hydro Plant Mk2
    - Added recipe to turn crushed stone into mineralized water
---------------------------------------------------------------------------------------------------
Version: 0.2.6
Date: N/A
  Bugfixes:
    - Fixed migration (hopefully)
  Changes:
    - Changed several inconsistencies with the localization
    - Changed the processing/refining chain for gems
    - Rearranged some groups and icons
    - Added new technology: Geode processing 2
    - Added new building: Liquifier, as an early simpler chemical plant
    - Changed Icon for Thermal to Lithia Water
---------------------------------------------------------------------------------------------------
Version: 0.2.5
Date: N/A
  Bugfixes:
    - Fixed an error
---------------------------------------------------------------------------------------------------
Version: 0.2.4
Date: N/A
  Bugfixes:
    - Fixed broken migration script for slag processing, UP, YI and NUC support
    - Fixed icons for advanced sorting for UP, YI and NUC
---------------------------------------------------------------------------------------------------
Version: 0.2.3
Date: N/A
  Bugfixes:
    - Fixed missing dependency/broken tie in for other mods (YI, UP, NUC)
  Changes:
    - Switched tables for vanilla sorting
    - Updated more of the icons
    - Added localization for the Geode Processing technology
    - Added advanced recipes for other mods ores (YI, UP, NUC)
    - Removed config file
---------------------------------------------------------------------------------------------------
Version: 0.2.2
Date: N/A
  Changes:
    - Added geodes to the game, they are a byproduct to the hydro refining and drop from rocks.
    - Added geodes processing lines to get bobgems from them
    - Re-Rendered most technology icons to be 128x128 px
    - Added some missing localizations
    - Added recipes to get lithia water from thermal water
    - Moved some item-groups to other rows in the angels-refining tab
    - Rearranged the position of some recipe
---------------------------------------------------------------------------------------------------
Version: 0.2.1
Date: N/A
  Bugfixes:
    - fixed an error with clarifier void recipes
  Changes:
    - Updated for version 0.13
    - new icons for several items
---------------------------------------------------------------------------------------------------
Version: 0.1.7
Date: N/A
  Bugfixes:
    - fixed an error with the clarifier not working
---------------------------------------------------------------------------------------------------
Version: 0.1.6
Date: N/A
  Bugfixes:
    - fixed a typo in the migration file
---------------------------------------------------------------------------------------------------
Version: 0.1.5
Date: N/A
  Bugfixes:
    - fixed a possible naming error
  Changes:
    - changed the crafting speed for the ore-crusher-mk2 from 3 to 2
    - added clarifier, which acts as a water void pump for the specialized water types
    - reworked vanilla version: will now use the same mode as the bobs version. angelsinfiniteores are now required.
---------------------------------------------------------------------------------------------------
Version: 0.1.4
Date: N/A
  Changes:
    - added recipe to turn crushed stone into mineral sludge
    - added water treatment recipe to yield YI contaminated water
    - added individual icons for slag processing recipes
---------------------------------------------------------------------------------------------------
Version: 0.1.3
Date: N/A
  Bugfixes:
    - fixed an error with nucular integration (requiring the wrong material for the sorting recipe)
  Changes:
    - added localization for the base game variant
    - added hydro-plant and config settings to enable/disable it
    - moved the catalysts into the processing mod
    - tweaked some stats for the refining buildings (consumption, modules, idle drain, pollution)
---------------------------------------------------------------------------------------------------
Version: 0.1.2
Date: N/A
  Bugfixes:
    - fixed tier 1 ore mixing results to 4 instead of 3
    - fixed an error with the vanilla sorting recipes crafting categories
  Changes:
    - cut the time for all the sorting recipes in half
    - added final version of the thermal-extractor
    - updated the icons for alien artifacts and catalysts
    - added oil-processing as a requirement to the hydro-refining technology
    - changed the cost of ore-refining and advanced-ore-processing-4 technology from requiring science-pack-4 to alien-science-packs
    - added basic catalyst as ingredient to the tier 4 refining (crystal to purified)
    - added support for nucular mod and its uranium ore to angelsinfiniteores and angelsrefining
    - tweaked some stats for the refining buildings (consumption, modules, idle drain, pollution)
